using FluentValidation;
using Hotline.Share.Dtos.Knowledge;

namespace Hotline.Validators.Knowledge
{
    public class UpdateKnowledgeDtoValidator : AbstractValidator<UpdateKnowledgeDto>
    {
        /// <summary>
        /// 
        /// </summary>
        public UpdateKnowledgeDtoValidator()
        {
            RuleFor(d => d.Id).IsGuidStructureString();
            RuleFor(d => d.Title).NotEmpty();
            RuleFor(d => d.Content).NotEmpty();
        }
    }
}
